﻿Option Strict On
Imports System.Xml.Linq
Imports System.Windows.Media.Imaging

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' コンストラクター
    Public Sub New()
        InitializeComponent()
    End Sub

    Dim xmldoc As XElement
    Private Sub MainPage_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        xmldoc = XElement.Load("Astrology.xml")
        Dim myHubTileList As New List(Of HubTile)
        For Each result In From c In xmldoc.Descendants("占い") Select c
            Dim myHubTile As New HubTile

            With myHubTile
                .Source = New BitmapImage(New Uri("Image/" & result.Element("Source").Value, UriKind.Relative))
                .Title = result.Element("Title").Value
                .Message = result.Element("Message").Value
                .GroupTag = "astrology"
                .Margin = New Thickness(10)
                .Background = New SolidColorBrush(Colors.Red)
                .Foreground = New SolidColorBrush(Colors.Blue)
            End With
            myHubTileList.Add(myHubTile)
        Next
        ListBox1.ItemsSource = myHubTileList
    End Sub

    Private Sub ListBox1_SelectionChanged(sender As Object, e As System.Windows.Controls.SelectionChangedEventArgs) Handles ListBox1.SelectionChanged
        Try
            Dim myTitle As String = xmldoc.Descendants("占い")(ListBox1.SelectedIndex).Element("Title").Value
            Dim myMessage As String = xmldoc.Descendants("占い")(ListBox1.SelectedIndex).Element("Message").Value
            NavigationService.Navigate(New Uri(String.Format("/AstrologyPage.xaml?title={0}&message={1}", myTitle, myMessage), UriKind.Relative))
        Catch
            Exit Sub
        End Try
    End Sub
End Class
